FRAGMASTER(1)

NOMBRE
fragmaster - Usando órdenes psfrag con pdflatex

SINOPSIS
fragmaster [opciones]

Crea ficheros EPS y PDF con sustituciones psfrag integradas.

Opciones:
 -h,--help Breve guía de uso.
 -m,--man Muestra página man (Requiere perldoc)
 --clean Borra los ficheros $basename.{eps,pdf} generados
                    automáticamente.
 --debug Nuestra más información y deja los ficheros
                    temporales.
 --force Reconstruye todo sin verificar tiempos de
                    modificación.
 --dirfm=file Utiliza el fichero dado como fichero opcional de
                    control de fragmaster (fm) del directorio en vez
                    del valor por omisión "fragmaster.dfm".

DESCRIPCIÓN
fragmaster es un programa perl que ayuda a usar órdenes psfrag con pdflatex.

psfrag is a LaTeX package which allows one to replace text elements in included EPS graphics by arbitrary LaTeX output. Because psfrag uses PostScript for making the replacements, in principle you can't use psfrag with pdflatex which doesn't have any interfaces to PostScript.

fragmaster produce un nuevo EPS con las sustituciones psfrag a partir del EPS original. El nuevo fichero EPS puede convertirse a un PDF con todas las sustituciones incluidas. El PDF "encapsulado" resultante puede así utilizarse con pdflatex.

fragmaster busca en el directorio actual ficheros que terminen en _fm y tengan un _fm.eps asociado. Basándose en los tiempos de modificación el programa verifica si es necesario reconstruir los ficheros finales, de forma parecida a como lo haría "make".

Las figuras resultantes pueden incluirse en el documento LaTeX con

 \includegraphics{<graphics>}

evitando adecuadamente la extensión del fichero. latex utilizará el EPS, pdflatex el PDF.

  El fichero de control fragmaster y otros ficheros relacionados.
Para utilizar el programa hay que crear dos ficheros por gráfico:

    * <graphics>_fm.eps: El fichero EPS file original,
    * <graphics>_fm: El fichero de control fragmaster.

El gráfico con las sustituciones psfrag integradas se creará a partir de ellos.

    * <graphics>.eps,
    * <graphics>.pdf

El fichero de control _fm es básicamente un fichero LaTeX con comentarios especiales opcionales y su aspecto es de la forma:

 % Un comentario ordinario
 %
 % Algunos comentarios especiales:
 % fmclass: book
 % fmclassopt: 11pt
 % fmopt: width=6cm
 %
 % Otro tipo de comentario especial:
 % head:
 % \usepackage{amsmath}
 % end head

 % Órdenes psfrag:
 \psfrag{x}{$x$}
 \psfrag{y}{$y = x^2$}

El comentario especial "fmclass:" hará que el programa use la clase dada en vez de la clase "article" utilizada por omisión.

El comentario especial "fmclassopt:" hará que el programa use las opciones de clase dadas en vez del valor "12pt" por omisión.

El comentario especial "fmopt:" se evalúa de forma que el texto siguiente se pasa como argumento opcional a "\includegraphics". De este modo puede por ejemplo, ajustarse la relación entre el tamaño del gráfico y el tamaño del tipo de letra con algo del tipo "fmopt: width=6cm". No hay un valor por omisión para esta opción.

El comentario especial entre "head:/end head" hace que las líneas dentro de dicho rango se incluyan en el preámbulo del documento LaTeX temporal, una vez se eliminan del principio los caracteres de comentario "%". Así, pueden incluirse paquetes LaTeX como con "\\usepackage{amsmath}". No hay un valor por omisión.

  El fichero fragmaster de control de directorio.
Las opciones "fmclass:", "fmclassopt:", "fmopt:" and "head:/ end head" pueden ajustarse para un directorio mediante el fichero opcional fragmaster.dfm con una sintaxis similar al anterior. Puede utilizarse otro nombre mediante la opción --dirfm. Las opciones así establecidas son excluyentes, las opciones establecidas el el fichero _fm de un gráfico anulan la opción asociada en el fichero de directorio y éstas las asociadas en el valor por omisión ("\documentclass[12pt]{article}"). Las opciones vacías se ignoran.

Ésto se encuentra aún en desarrollo y necesita más pruebas. Verifique cuidadosamente que las reconstrucciones basadas en tiempos funcionan correctamente en este caso.

PROBLEMAS CONOCIDOS
Si el EPS se produce erróneamente apaisado, es decir, gv muestra Landscape en vez de Portrait en la barra de menús y la figura acaba girada 90 grados en el documento posiblemente la figura sea más ancha que alta. En este caso, algunas (recientes) versiones de dvips "asumen" que la figura es apaisada, aunque las proporciones ancho/alto no están relacionadas con la orientación. También puede pasar si el tamaño del gráfico coincide con uno de los tamaños standard de papel.

Puede modificarse el comportamiento de dvips especificando la línea siguiente en /usr/share/texmf/dvips/config/config.pdf (o el equivalente local bajo /usr/local/share/texmf):

@ custom 0pt 0pt

Para más detalles, se "recomiendan" las fuentes de dvipsk.

AUTORES
Tilman Vogel <tilman vogel web de> (dot at dot) and Agustin Martin <agustin6martin gmail com> (at dot)

HISTORIA
Este programa tiene su origen en una contribución de Karsten Roemke <k roemke gmx de> (dot at dot) a de.comp.text.tex el 2003-11-11 05:25:44 PST, con asunto "psfrag pdflatex, lange her".

Karsten Roemke se inspiró para su solución en una contribución de Thomas Wimmer.

COPYRIGHT
 Copyright (C) 2004 Tilman Vogel
 Copyright (C) 2011-2023 Agustin Martin

Este programa es software libre; puede redistribuirse y/o modificarse bajo las condiciones de la Licencia Pública General GNU (GNU General Public License) publicada por la Free Software Foundation, versión 2 o (a su criterio) cualquier versión posterior.